Subject: IPv6 examples

From: Aaron Falk <[email-masked]>
Date: Tue, 5 Apr 2016 18:40:56 -0300

Ruediger Volk made a very good suggestion in sunset4 about encouraging
presenters to include more IPv6 examples.  Just passing it along.  I think
it will help folks start thinking about v6.

--aaron

---

From: Tim Chown <[email-masked]>
Date: Tue, 5 Apr 2016 23:16:10 +0100

On 5 Apr 2016, at 22:40, Aaron Falk <[email-masked]> wrote:
> 
> Ruediger Volk made a very good suggestion in sunset4 about encouraging presenters to include more IPv6 examples.  Just passing it along.  I think it will help folks start thinking about v6.

I saw the concise sunset4 agenda. So was v4 declared Historic? :)

Tim

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 5 Apr 2016 22:18:06 +0000

> I saw the concise sunset4 agenda. So was v4 declared Historic? :)

Concise answer. No.

Thanks
Suresh

---

From: Yaakov Stein <[email-masked]>
Date: Wed, 6 Apr 2016 04:58:09 +0000

longer answer: "unfortunately no".

Y(J)S

-----Original Message-----
From: WGChairs [mailto:[email-masked]] On Behalf Of Suresh Krishnan
Sent: 06/04/2016 01:18
To: Tim Chown <[email-masked]>; Aaron Falk <[email-masked]>
Cc: [email-masked]
Subject: Re: IPv6 examples

Concise answer. No.

Thanks
Suresh

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Wed, 6 Apr 2016 07:22:50 +0000

> Ruediger Volk made a very good suggestion in sunset4 about encouraging presenters to include more IPv6 examples.  Just passing it along.  I think it will help folks start thinking about v6.

I think it's an excellent suggestion.

Thinking algorithmically, I think that says that any document that contains an address from one of the three TEST-NET IPv4 prefixes

rfc5735.txt:192.0.2.0/24        TEST-NET-1                 RFC 5737
rfc5735.txt:198.51.100.0/24     TEST-NET-2                 RFC 5737
rfc5735.txt:203.0.113.0/24      TEST-NET-3                 RFC 5737

(yes, the current RFC is RFC 6890, but RFC 5735 is more grep-friendly)

should also contain addresses from 2001:db8 (also noted in RFC 6890).

If we agree on the assertion, and assuming grep is my friend, see attached. I see 119 drafts using one or more of the IPv4 prefixes and 54 using the IPv6 prefix. The diff is 151 lines - it has some interspersed line numbers, but it contains the entirety of those 173 file names less the 30 that are mentioned in both files. Pulling out the IPv4-only subset of those, 89 files, I guess those 89 files need IPv6 examples.

     151     264    4893 z-diff.txt
      89     178    3641 z-needs-ipv6-examples.txt
     119     119    4593 z4.txt
      54      54    2054 z6.txt

If you would like, I can comment to <filename>[email-masked] for each file name that draft-robachevsky-mandating-use-of-ipv6-examples humbly requests that they include an IPv6 example for each IPv4 example.

Would you like?

Fred

---

From: Dave Thaler <[email-masked]>
Date: Wed, 6 Apr 2016 12:38:42 +0000

Personally I think this rule should be a warning (not error) in id-nits.

From: WGChairs [mailto:[email-masked]] On Behalf Of Fred Baker (fred)
Sent: Wednesday, April 6, 2016 4:23 AM
To: Aaron Falk <[email-masked]>
Cc: [email-masked]
Subject: Re: IPv6 examples

On Apr 5, 2016, at 6:40 PM, Aaron Falk <[email-masked]<mailto:[email-masked]>> wrote:
Ruediger Volk made a very good suggestion in sunset4 about encouraging presenters to include more IPv6 examples.  Just passing it along.  I think it will help folks start thinking about v6.

     151     264    4893 z-diff.txt

If you would like, I can comment to <filename>[email-masked]<mailto:[email-masked]> for each file name that draft-robachevsky-mandating-use-of-ipv6-examples humbly requests that they include an IPv6 example for each IPv4 example.

Would you like?

Fred

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Wed, 6 Apr 2016 12:54:35 +0000

> On Apr 6, 2016, at 9:38 AM, Dave Thaler <[email-masked]> wrote:
> 

Agreed

> On Apr 5, 2016, at 6:40 PM, Aaron Falk <[email-masked] <mailto:[email-masked]>> wrote:
> If you would like, I can comment to <filename>[email-masked] <mailto:[email-masked]> for each file name that draft-robachevsky-mandating-use-of-ipv6-examples humbly requests that they include an IPv6 example for each IPv4 example.
> 
> Would you like?
> 
> Fred

---

From: Michael Richardson <[email-masked]>
Date: Wed, 06 Apr 2016 08:57:15 -0400

> Personally I think this rule should be a warning (not error) in

I agree it should be in id-nits.

    > If you would like, I can comment to <filename>[email-masked] for
    > each file name that draft-robachevsky-mandating-use-of-ipv6-examples
    > humbly requests that they include an IPv6 example for each IPv4
    > example.

    > Would you like?

Fred, I think this would be a great idea... maybe apply slow-start to it.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 06 Apr 2016 15:08:02 +0200

> Personally I think this rule should be a warning (not error) in id-nits.

Yes, I was thinking the same; sounds like something idnits should
warn about.

	Henrik

---

From: Lee Howard <[email-masked]>
Date: Wed, 06 Apr 2016 14:24:58 +0100

Agree that an id-nits warning makes sense.

A friendly suggestion to those document authors would be friendly.

Lee

From:  WGChairs <[email-masked]> on behalf of Fred Baker
<[email-masked]>
Date:  Wednesday, April 6, 2016 at 8:22 AM
To:  Aaron Falk <[email-masked]>
Cc:  "[email-masked]" <[email-masked]>
Subject:  Re: IPv6 examples

>> presenters to include more IPv6 examples.  Just passing it along.  I think it
>> will help folks start thinking about v6.
> 
> Thinking algorithmically, I think that says that any document that contains an
> address from one of the three TEST-NET IPv4 prefixes
> 
> If we agree on the assertion, and assuming grep is my friend, see attached. I
> see 119 drafts using one or more of the IPv4 prefixes and 54 using the IPv6
> prefix. The diff is 151 lines - it has some interspersed line numbers, but it
> contains the entirety of those 173 file names less the 30 that are mentioned
> in both files. Pulling out the IPv4-only subset of those, 89 files, I guess
> those 89 files need IPv6 examples.
> 
>      151     264    4893 z-diff.txt
> If you would like, I can comment to <filename>[email-masked] for each
> file name that draft-robachevsky-mandating-use-of-ipv6-examples humbly
> requests that they include an IPv6 example for each IPv4 example.
> 
> Would you like?
> 
> Fred
>

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Wed, 6 Apr 2016 17:28:43 +0000

OK, so I sent notes regarding said 89 drafts. I have mostly received "thanks for the reminder" notes. I have also received a number of notes telling me that a specific draft is IPv4-specific (such as covering NATs and NAT traversal, or OSPFv2) and adding an IPv6 example doesn't make sense.

Which argues strongly against making the requirement mandatory. I would support making it a warning, and leaving the discussion between the authors and the working group chair or shepherd.

> On Apr 6, 2016, at 10:24 AM, Lee Howard <[email-masked]> wrote:
> 
> From: WGChairs <[email-masked] <mailto:[email-masked]>> on behalf of Fred Baker <[email-masked] <mailto:[email-masked]>>
> To: Aaron Falk <[email-masked] <mailto:[email-masked]>>
> Cc: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>

---

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 06 Apr 2016 19:34:26 +0200

> Which argues strongly against making the requirement mandatory. I would support making it a warning, and leaving the discussion between the authors and the working group chair or shepherd.

Ack.  The code I've just been adding to idnits will emit a comment
such as the following in this case (not error or warning, even):

 -- The document has examples using IPv4 documentation addresses according to
    RFC6890, but does not use any IPv6 documentation addresses.  Maybe there
    should be IPv6 examples, too?

Regards,

	Henrik

---

From: Lee Howard <[email-masked]>
Date: Wed, 06 Apr 2016 15:07:57 +0100

From:  Fred Baker <[email-masked]>
Date:  Wednesday, April 6, 2016 at 6:28 PM
To:  Lee Howard <[email-masked]>
Cc:  Aaron Falk <[email-masked]>, "[email-masked]"
<[email-masked]>
Subject:  Re: IPv6 examples

> OK, so I sent notes regarding said 89 drafts. I have mostly received "thanks
> for the reminder" notes. I have also received a number of notes telling me
> that a specific draft is IPv4-specific (such as covering NATs and NAT
> traversal, or OSPFv2) and adding an IPv6 example doesn't make sense.

And reminds me that I want to subscribe to the i-d feel so I can see these
drafts when they¹re first proposed so I can ask, ³Is this trip really
necessary?²

> 
> Which argues strongly against making the requirement mandatory. I would
> support making it a warning, and leaving the discussion between the authors
> and the working group chair or shepherd.

Yes; until IPv4 is Historic, I would not support calling its inclusion in a
draft an ³Error.²

Lee

>>> Thinking algorithmically, I think that says that any document that contains
>>> an address from one of the three TEST-NET IPv4 prefixes
>>> 
>>> If we agree on the assertion, and assuming grep is my friend, see attached.
>>> I see 119 drafts using one or more of the IPv4 prefixes and 54 using the
>>> IPv6 prefix. The diff is 151 lines - it has some interspersed line numbers,
>>> but it contains the entirety of those 173 file names less the 30 that are
>>> mentioned in both files. Pulling out the IPv4-only subset of those, 89
>>> files, I guess those 89 files need IPv6 examples.
>>> 
>>>      151     264    4893 z-diff.txt

---

From: Matthew Ford <[email-masked]>
Date: Tue, 5 Apr 2016 18:46:18 -0300

> On 5 Apr 2016, at 18:40, Aaron Falk <[email-masked]> wrote:
> 

On this theme, my colleague Andrei recently submitted the following draft:

https://datatracker.ietf.org/doc/draft-robachevsky-mandating-use-of-ipv6-examples/

Mat

---

From: Andrei Robachevsky <[email-masked]>
Date: Wed, 6 Apr 2016 09:37:58 +0200

Thank you Mat,

So if the idea doesn't look insane and the draft, too, what would be the
best way to get some traction?

Andrei

---

From: Alissa Cooper <[email-masked]>
Date: Thu, 7 Apr 2016 11:01:25 -0300

I would recommend against sending automated emails of this sort in the future. I got feedback offline that folks feel like they’re being spammed with a non-specific request, and given that lots of WGs are using git these days it would be more appropriate to just have a specific PR.

I think a nits warning would probably be better received.

Alissa

> On Apr 6, 2016, at 2:28 PM, Fred Baker (fred) <[email-masked]> wrote:
> 
>> On Apr 6, 2016, at 10:24 AM, Lee Howard <[email-masked] <mailto:[email-masked]>> wrote:
>>

---

From: Henrik Levkowetz <[email-masked]>
Date: Thu, 07 Apr 2016 16:12:24 +0200

The nits warning is in place since yesterday, with release 2.14.01.

---

From: Tim Chown <[email-masked]>
Date: Thu, 7 Apr 2016 15:12:51 +0100

> On 7 Apr 2016, at 15:01, Alissa Cooper <[email-masked]> wrote:
> 

Yes, agreed. Though as a one-off exercise the emails would have made a useful point.

Tim

> 
> Alissa
> 
>> On Apr 6, 2016, at 2:28 PM, Fred Baker (fred) <[email-masked] <mailto:[email-masked]>> wrote:
>>

---

From: Brian Rosen <[email-masked]>
Date: Thu, 7 Apr 2016 11:11:22 -0300

Hah

I got it (as a chair for a draft we have in the approval process).  I wondered if it was a real or imagined problem, so, since this was sip-related, I looked up the results from the last sipit, where I discovered that 69% of implementations at that event supported IPv6.  This was good enough for me, and authors agreed, so it worked, at least for the draft I got the notice for.

Brian

> On Apr 7, 2016, at 11:01 AM, Alissa Cooper <[email-masked]> wrote:
>

---

From: Benoit Claise <[email-masked]>
Date: Thu, 7 Apr 2016 11:22:45 -0300

On 4/7/2016 11:12 AM, Tim Chown wrote:
>> On 7 Apr 2016, at 15:01, Alissa Cooper <[email-masked] 
>> <mailto:[email-masked]>> wrote:
>>
>> I would recommend against sending automated emails of this sort in 
>> the future. I got feedback offline that folks feel like they’re being 
>> spammed with a non-specific request, and given that lots of WGs are 
>> using git these days it would be more appropriate to just have a 
>> specific PR.
>>
> Yes, agreed.

> Though as a one-off exercise the emails would have made a useful point.
+1

Thanks Fred for doing this.

Regards, B.
>>> OK, so I sent notes regarding said 89 drafts. I have mostly received 
>>> "thanks for the reminder" notes. I have also received a number of 
>>> notes telling me that a specific draft is IPv4-specific (such as 
>>> covering NATs and NAT traversal, or OSPFv2) and adding an IPv6 
>>> example doesn't make sense.
>>>
>>> Which argues strongly against making the requirement mandatory. I 
>>> would support making it a warning, and leaving the discussion 
>>> between the authors and the working group chair or shepherd.
>>>
>>>> From: WGChairs <[email-masked] 
>>>> <mailto:[email-masked]>> on behalf of Fred Baker 
>>>> <[email-masked] <mailto:[email-masked]>>
>>>> Cc: "[email-masked] <mailto:[email-masked]>" 
>>>> <[email-masked] <mailto:[email-masked]>>
>>>>>> Ruediger Volk made a very good suggestion in sunset4 about 
>>>>>> encouraging presenters to include more IPv6 examples. Just 
>>>>>> passing it along.  I think it will help folks start thinking 
>>>>>> about v6.
>>>>>
>>>>> Thinking algorithmically, I think that says that any document that 
>>>>> contains an address from one of the three TEST-NET IPv4 prefixes
>>>>>
>>>>> If we agree on the assertion, and assuming grep is my friend, see 
>>>>> attached. I see 119 drafts using one or more of the IPv4 prefixes 
>>>>> and 54 using the IPv6 prefix. The diff is 151 lines - it has some 
>>>>> interspersed line numbers, but it contains the entirety of those 
>>>>> 173 file names less the 30 that are mentioned in both files. 
>>>>> Pulling out the IPv4-only subset of those, 89 files, I guess those 
>>>>> 89 files need IPv6 examples.
>>>>>
>>>>>      151 264    4893 z-diff.txt
>>>>> If you would like, I can comment to <filename>[email-masked] 
>>>>> <mailto:[email-masked]> for each file name that 
>>>>> draft-robachevsky-mandating-use-of-ipv6-examples humbly requests 
>>>>> that they include an IPv6 example for each IPv4 example.
>>>>>
>>>>> Would you like?
>>>>>
>>>>> Fred
>>>>>
>>>
>>
>

---

From: Dave Thaler <[email-masked]>
Date: Thu, 7 Apr 2016 14:24:44 +0000

Thanks Henrik!

> From: WGChairs [mailto:[email-masked]] On Behalf Of Henrik
> Levkowetz
> Sent: Thursday, April 7, 2016 11:12 AM
> To: Alissa Cooper <[email-masked]>; Fred Baker (fred) <[email-masked]>
> Cc: [email-masked]
> > I would recommend against sending automated emails of this sort in the
> future. I got feedback offline that folks feel like they’re being spammed with
> a non-specific request, and given that lots of WGs are using git these days it
> would be more appropriate to just have a specific PR.
> >
> "thanks for the reminder" notes. I have also received a number of notes
> telling me that a specific draft is IPv4-specific (such as covering NATs and NAT
> would support making it a warning, and leaving the discussion between the
> authors and the working group chair or shepherd.
> >>
> >>> From: WGChairs <[email-masked] <mailto:wgchairs-
> [email-masked]>> on behalf of Fred Baker <[email-masked]
> <mailto:[email-masked]>>
> encouraging presenters to include more IPv6 examples.  Just passing it along.
> I think it will help folks start thinking about v6.
> >>>>
> attached. I see 119 drafts using one or more of the IPv4 prefixes and 54 using
> the IPv6 prefix. The diff is 151 lines - it has some interspersed line numbers,
> mentioned in both files. Pulling out the IPv4-only subset of those, 89 files, I
> guess those 89 files need IPv6 examples.
> >>>>
> >>>>      151     264    4893 z-diff.txt
> <mailto:[email-masked]> for each file name that draft-robachevsky-
> mandating-use-of-ipv6-examples humbly requests that they include an IPv6
> example for each IPv4 example.
> >>>>
> >>>> Would you like?
> >>>>
> >>>> Fred
> >>>>
> >>
> >
> >